[Setup] Re: Some Plone products not available anymore?

Raphael Ritz r.ritz at biologie.hu-berlin.de
Fri May 1 08:44:48 UTC 2009


Denis Bitouzé wrote:
> Hello,
> 
> I have a Plone 2.0.5 site that is hosted by 
> http://www.objectis.org/index_html?set_language=en&cl=en Objectis . At home,
> I'm trying to upgrade it to Plone 3.1, which is the usual version provided
> by Objectis nowadays. So I installed the required versions of python and
> Zope to be able to use Plone 2.0.5, and also some of the additional products
> provided by Objectis.
> 
> Unfortunately, after importing the .zexp (Data.fs isn't available!) file, my
> site doesn't run as expected, mostly because (I guess) some of the
> additional products are missing.
> 
> Indeed, among others, I can't find:
> 
> 1. PloneExtendedNavigation (any version)
> 2. CSSManager (old version: installed 2004-12-19 by objectis)
> 3. NavTreePortlet (any version)
> 
> Thanks for any pointers! 

I doubt that you will find updated versions of 1 and 3
as these have been essentially integrated into Plone 3
- or rather became obsolete by the new portlet machinery
and the highly configurable navigation portlet that
ships with Plone now.

Do you have the old site up and running somewhere still?
If so, you could try to uninstall those products and
redo that export.

If not you could try writing dummy products with the
right names that provide the classes or whatever
else is needed to unpickle the old objects.
With ZopeSkel that shouldn't be too hard.

Keep on asking if you go down that route.

Raphael




More information about the Setup mailing list